# $Revision: 1.55 $, $Date: 2010/08/02 13:27:22 $
Summary:	Eric4 - a full featured Python IDE
Summary(pl.UTF-8):	Eric4 - pełnowartościowe IDE dla Pythona
Name:		eric4
Version:	4.4.7
Release:	1
License:	GPL v3+
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
# Source0-md5:	52f0afd11131646a2863b803d2db1df0
Source1:	%{name}.desktop
URL:		http://eric-ide.python-projects.org/
BuildRequires:	python-qscintilla2-devel >= 2.4.4-3
BuildRequires:	python-sip-devel >= 2:4.5.10
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-devel-tools
Requires:	python-qscintilla2 >= 2.4.4-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eric4 is a full featured Python IDE that is written in PyQt4 using the
QScintilla editor widget.

%description -l pl.UTF-8
Eric4 jest pełnowartościowym IDE dla Pythona napisanym w PyQt4 i
używającym edytora QScintilla.

%package doc
Summary:	Documentation for Eric4
Summary(pl.UTF-8):	Dodatkowa dokumentacja dla Eric4
Group:		X11/Development/Tools
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for Eric4.

%description doc -l pl.UTF-8
Dodatkowa dokumentacja dla Eric4.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

python install.py -z -c -b %{_bindir} -d %{py_sitescriptdir} -i $RPM_BUILD_ROOT
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/eric4.desktop
install -D eric/pixmaps/eric.png $RPM_BUILD_ROOT%{_pixmapsdir}/eric4.png

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/*
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/*

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/LICENSE.GPL3

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE: eric4 uses *.py files for it's own purposes
# so do not remove them from package
%files
%defattr(644,root,root,755)
%doc README* THANKS
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/eric4config.py*
%{py_sitescriptdir}/%{name}
%dir %{py_sitescriptdir}/%{name}plugins
%{py_sitescriptdir}/%{name}plugins/*
%exclude %{py_sitescriptdir}/%{name}/Documentation
%{_desktopdir}/eric4.desktop
%{_pixmapsdir}/eric4.png
%{_datadir}/qt4/qsci/api/python/*
%{_datadir}/qt4/qsci/api/ruby

%files doc
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/%{name}/Documentation
%{py_sitescriptdir}/%{name}/Documentation/Source

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eric4.spec,v $
Revision 1.55  2010/08/02 13:27:22  matkor
- Version 4.4.7-1.

Revision 1.54  2010/07/29 09:40:18  witekfl
- force PyQt4 and scintilla built with sip-4.5.10

Revision 1.53  2010/07/09 11:14:59  arekm
- release 3

Revision 1.52  2010/07/08 07:47:19  arekm
- release 2

Revision 1.51  2010/07/07 07:22:53  matkor
- Version 4.4.6-1.

Revision 1.50  2010/06/12 11:15:10  matkor
- Version 4.4.5-1.

Revision 1.49  2010/05/08 14:04:58  matkor
- Version 4.4.4-1.

Revision 1.48  2010/04/08 10:21:53  matkor
- Version 4.4.3-1.

Revision 1.47  2010/03/06 23:18:00  charles
- up to 4.4.2

Revision 1.46  2010/02/07 09:50:24  adamg
- updated to 4.4.1

Revision 1.45  2010/01/12 20:40:47  adamg
- updated to 4.4.0

Revision 1.44  2009/12/20 18:40:52  adamg
- updated to 4.3.10

Revision 1.43  2009/11/10 00:22:14  adamg
- updated to 4.3.9

Revision 1.42  2009/10/12 07:21:14  adamg
- updated to 4.3.8

Revision 1.41  2009/09/05 13:46:14  adamg
- updated to 4.3.7.1

Revision 1.40  2009/08/05 20:25:46  witekfl
- python-qscintilla2 >= 2.4 is required
- do not compile files twice (-z)

Revision 1.39  2009/08/01 15:05:16  adamg
- updated to 4.3.6

Revision 1.38  2009/07/07 07:06:50  adamg
- updated to 4.3.5

Revision 1.37  2009/05/31 18:05:12  charles
- updated to 4.3.4

Revision 1.36  2009/05/03 18:11:50  charles
- updated to 4.3.3
- removed -distdir.patch

Revision 1.35  2009/04/02 17:22:24  witekfl
- up to 4.3.2
- license GPL v3+

Revision 1.34  2009/03/16 00:19:56  charles
- updated to 4.3.1

Revision 1.33  2009/02/10 16:40:27  witekfl
- up to 4.3.0

Revision 1.32  2009/01/17 22:00:35  adamg
- updated to 4.2.5

Revision 1.31  2009/01/01 18:47:31  adamg
- new URL

Revision 1.30  2008/12/08 22:14:44  charles
- 4.2.4a

Revision 1.29  2008/11/09 14:47:13  charles
- updated to 4.2.3

Revision 1.28  2008/10/14 06:41:47  arekm
- release 2

Revision 1.27  2008/10/07 07:28:54  charles
- up to 4.2.2a (bugfixes release)

Revision 1.26  2008/10/06 06:48:30  matkor
- Version 4.2.2-1.

Revision 1.25  2008/10/03 17:43:00  arekm
- release 2

Revision 1.24  2008/09/12 17:55:08  twittner
- omitted files added

Revision 1.23  2008/09/08 11:16:23  adamg
- updated to 4.2.1

Revision 1.22  2008/08/10 22:04:47  adamg
- updated to 4.2.0

Revision 1.21  2008/07/12 06:02:08  charles
- updated to 4.1.6

Revision 1.20  2008/06/07 12:35:38  adamg
- release 1

Revision 1.19  2008-06-07 12:30:40  adamg
- updated to 4.1.5

Revision 1.18  2008-05-20 16:08:11  adamg
- release 2 (1 is for Ac)

Revision 1.17  2008-05-20 16:07:43  adamg
- updated to 4.1.4

Revision 1.16  2008-05-04 10:15:40  adamg
- release 2 (1 is for Ac)

Revision 1.15  2008-05-04 10:15:11  adamg
- updated to 4.1.3

Revision 1.14  2008-04-05 19:30:48  adamg
- updated to 4.1.2

Revision 1.13  2008-03-20 21:56:25  adamg
- release 1

Revision 1.12  2008-03-02 21:08:50  twittner
- restore desktop file

Revision 1.11  2008-03-02 19:28:12  twittner
- up to 4.1.1
- noarch, files moved from %py_sitedir to %py_sitescriptdir
- added plugin directory
- added -install.patch against $RPM_BUILD_ROOT/$RPM_BUILD_ROOT bug
- only a bit tested (new version and changes in %files), so I put rel. 0.1

Revision 1.10  2007-12-15 14:41:16  adamg
- updated to 4.0.4

Revision 1.9  2007/10/25 21:36:24  beorn
- Up to 4.0.3

Revision 1.8  2007/10/13 00:02:21  twittner
- R: python-qscintilla2 >= 2.1_1.73-2 - should solve bug 52
- rel. 2

Revision 1.7  2007/07/22 10:12:30  twittner
- up to 4.0.1 (this goes on HEAD, snapshot will be on DEVEL branch)

Revision 1.6  2007/06/15 20:45:11  mmazur
- updated URL

Revision 1.5  2007/02/21 02:59:45  charles
- up to 20070218 snapshot

Revision 1.4  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/12/26 17:11:06  qboosh
- cosmetic

Revision 1.1  2006/12/26 03:52:37  charles
- new (PyQt4)
